Package org.apache.sysds.runtime.compress.io

# Class DictWritable.K

java.lang.Object
org.apache.sysds.runtime.compress.io.DictWritable.K

All Implemented Interfaces:
  `Serializable`, `org.apache.hadoop.io.Writable`

Enclosing class:
  DictWritable

public static class DictWritable.K extends Object implements org.apache.hadoop.io.Writable, Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`id`

## Constructor Summary

Constructors
Constructor
Description
`K()`
`K(int id)`

## Method Summary

Modifier and Type
Method
Description
`void`
`readFields(DataInput in)`
`void`
`write(DataOutput out)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

public int id

## Constructor Details

### K

public K()

### K

public K(int id)

## Method Details

### write

public void write(DataOutput out) throws IOException

Specified by:
  `write` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`

### readFields

public void readFields(DataInput in) throws IOException

Specified by:
  `readFields` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`